## org.apache.commons.math.ode.events
Class EventState.EmbeddedEventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.ode.events.EventState.EmbeddedEventException

All Implemented Interfaces:
  Serializable

Enclosing class:
  EventState

    private static class EventState.EmbeddedEventException

extends RuntimeException

Local exception for embedding EventException.

Field Summary
`private EventException` `eventException` Embedded exception.
`private static long` `serialVersionUID` Serializable UID.

Constructor Summary
`EventState.EmbeddedEventException(EventException eventException)` Simple constructor.

Method Summary
`EventException` `getEventException()` Get the embedded exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable UID.

  See Also:
    Constant Field Values

### eventException

    private final EventException eventException

  Embedded exception.

Constructor Detail

### EventState.EmbeddedEventException

    public EventState.EmbeddedEventException(EventException eventException)

  Simple constructor.

  Parameters:
    `eventException` - embedded exception

Method Detail

### getEventException

    public EventException getEventException()

  Get the embedded exception.

  Returns:
    embedded exception

Copyright (c) 2003-2013 Apache Software Foundation